Skip to main content
GET
/
dev
/
v1
/
products
/
{id}
/
serials
List product serials
curl --request GET \
  --url https://api.shoppex.io/dev/v1/products/{id}/serials \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "serial_1",
      "serial": "ABC-123",
      "variant_id": null,
      "variant_title": null,
      "created_at": "2026-03-16T10:00:00.000Z"
    }
  ],
  "pagination": {
    "total": 21,
    "page": 2,
    "limit": 10,
    "total_pages": 3,
    "has_more": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Query Parameters

page
string
limit
string

Response

200 - application/json

Successful response

data
object